

/* Sensor specification for TSP */
#sdafsafd

sensor  CthreadsInit {
	attributes {
		short 	num_procs;
	}
	location:	default;
};
#sadfsdff
sensor  ProgramStart {
	attributes {
	        short   num_slaves;
		char*   program_name;
		string  alias_name;
		short[3]   q_type;
		short   tour_type;
	}
};

sensor  ProgramEnd {
	attributes {
		short   num_slaves;
	}
};

sampling sensor ProcedureCall {
	attributes {
		char* procedure_name;
		int   procedure_index;
	}
	sampling attributes {
		int		num_of_calls;
		unsigned long	total_time;
	}
};

sensor	SlaveStart {
	attributes {
	        short   slave_num = (current_processor);
		int     init_q_length = user_specify;
	};
	location : user_specify;
};

sensor  SlaveEnd {
	attributes {
	        short   slave_num : (current_processor);
	}
};

sensor  QueuePut {
	attributes {
	        short           slave_num = (current_processor);
		unsigned long   q_id;
		unsigned long   job_id;
		unsigned long	parent_id;
		int             trace_bound;
		int	        problem_size;
/*		unsigned long   put_time; */
	}
	location default;
	policy default;
};

sensor  QueueGet {
	attributes {
	        short		slave_num = (current_processor);
		unsigned long   q_id;
		unsigned long   job_id;
		unsigned long   parent_id;
		int		lower_bound;
		int		problem_size;
		int		junk_q;
/*		unsigned long   get_time; */
	}
};

sensor  JobFinish {
	attributes {
	        short  		slave_num : (current_processor);
		int		tour_length;
		int		new_flag;
	};
}
   
sensor  BusyTime {
	attributes {
	        short  		slave_num : (current_processor);
		unsigned long	time_busy;
	}
}



