/**********************************************************************
 **                                                                  **
 **                          GaussianRandom.h                        **
 **                                                                  **
 ** Gaussian random number generator                                 **
 **                                                                  **
 ** By: Zsolt Kira                                                   **
 **                                                                  **
 ** Copyright 2006, Georgia Tech Research Corporation                **
 ** Atlanta, Georgia  30332-0415                                     **
 ** ALL RIGHTS RESERVED, See file COPYRIGHT for details.             **
 **********************************************************************/

#ifndef _GAUSSIAN_RANDOM_
#define _GAUSSIAN_RANDOM_

double gaussianRandom(void);

#endif

/**********************************************************************
 * $Log: GaussianRandom.h,v $
 * Revision 1.1.1.1  2006/07/12 13:37:53  endo
 * MissionLab 7.0
 *
 * Revision 1.1  2006/07/04 18:42:16  endo
 * gasdev() replaced by GaussianRandom().
 *
 **********************************************************************/

