
#ifndef _PALETTE_H_
#define _PALETTE_H_

/**********************************************************************
 *   class:  Palette
 **********************************************************************/

#define MAX_NUM_DEFAULT_COLORS 		16

class Palette {
  private:
    int total_num_colors;
    char **color_names;
  public:
    Palette(int tot_num_colors = 0,
	    char** clr_names = NULL);
    char* color(int index) {
	return color_names[index % total_num_colors]; }
};

#endif
